package it.polimi.ingsw.gc14.Network.RMI.Common;

import it.polimi.ingsw.gc14.Model.Game;
import it.polimi.ingsw.gc14.Network.NetworkEvent;

import java.rmi.*;

public interface IClientCallback extends Remote {
    void onGameInit(Game model) throws RemoteException;
    void onAction(NetworkEvent action) throws RemoteException;
}